List conversations

View as Markdown

Retrieves a paginated list of conversations in descending order by updated_at time (last accessed first). Only unarchived conversations are retrieved by default.

Authentication

AuthorizationBearer

JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as ‘Bearer <token>’.

Headers

Assistant-NamestringRequired
The Moveworks assistant identifier that was configured for your organization.

Query parameters

cursorstringOptional

Opaque cursor for pagination (obtained from previous response)

limitintegerOptional1-100Defaults to 20

Maximum number of conversations to return (1-100)

archivedbooleanOptionalDefaults to false
Filter by archived status

Response headers

x-moveworks-root-uuidstring
A unique identifier used to trace your request within the Moveworks system

Response

List of conversations
conversationslist of objects
Array of conversations
metadataobject

Metadata (pagination)

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error